<?php 
namespace Concrete\Package\WufooForms\Block\WufooForms;

use \Concrete\Core\Block\BlockController;
use Loader;

class Controller extends BlockController
{	
	protected $btTable = 'btWufooForms';
	protected $btInterfaceWidth = "360";
	protected $btInterfaceHeight = "400";	

	public function getBlockTypeDescription() {
		return t("Adds your Wufoo Forms.");
	}
	
	public function getBlockTypeName() {
		return t("Woofu Forms");
	}

	public function edit()
	{
		$html = Loader::helper('html');
    	$this->addHeaderItem('<script src="http://wufoo.com/scripts/iframe/formEmbedKit.js"></script>');
    	$this->addHeaderItem('<script src="http://wufoo.com/scripts/embed/iframe.js?targetElement=added-form"></script>');
	}

	public function add()
	{
		$html = Loader::helper('html');
    	$this->addHeaderItem('<script src="http://wufoo.com/scripts/iframe/formEmbedKit.js"></script>');
    	$this->addHeaderItem('<script src="http://wufoo.com/scripts/embed/iframe.js?targetElement=added-form"></script>');
	}

	public function view()
	{
		$html = Loader::helper('html');
    	$this->addHeaderItem('<script src="http://wufoo.com/scripts/iframe/formEmbedKit.js"></script>');
    	$this->addHeaderItem('<script src="http://wufoo.com/scripts/embed/iframe.js?targetElement=added-form"></script>');
	}
}